Bug 53060 - Problems with OpenLDAP and Kerberos (GSSAPI)
Summary: Problems with OpenLDAP and Kerberos (GSSAPI)
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openldap
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jay Fenlason
QA Contact: Aaron Brown
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-02 22:58 UTC by Terje Røsten
Modified: 2014-08-31 23:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-02 19:26:53 UTC


Attachments (Terms of Use)

Description Terje Røsten 2001-09-02 22:58:40 UTC
Description of Problem:

slapd er running as the user 'ldap', because of this 
slapd cannot read the file /etc/krb5.keytab and 
then GSSAPI with OpenLDAP/SASL/Kerberos is broken.

Version-Release number of selected component (if applicable):
openldap-2.0.11-12
krb5-server-1.2.2-13

Additional Information:
I'm not sure what the best solution is,
a) switch slapd to run as 'root'.
b) create a group 'kerberos' and do:
   $ chown root.kerberos /etc/krb5.keytab
   $ chmod g+r /etc/krb5.keytab
   and then add the user 'ldap' to the 'kerberos' group.
c) other solution?

Comment 1 Bill Nottingham 2006-08-05 05:47:33 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 3 Bill Nottingham 2007-01-02 19:26:53 UTC
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.